FVWM-ROOT(1)

NAME
fvwm-root - Sets the root window of the current X display to image

SYNOPSIS
fvwm-root [-d] [-fe] image_file

DESCRIPTION
fvwm-root reads the image file specified in the command line and displays it in the root window. The supported image formats are XBM, XPM and PNG if appropriated libraries are compiled in.

OPTIONS
These command line options are recognized by fvwm-root:

-d  Causes fvwm-root NOT to set the background, but to free a memory associated with the _XSETROOT_ID property (if any). In any case the _XSETROOT_ID property is set to None and some programs, like FVWM modules, may use this to update their background if the background is transparent.

-fe Causes fvwm-root to free the memory associated with the ESETROOT_PMAP_ID property. This is useful if you alternately use fvwm-root and an Esetroot compatible program.

COMPATIBILITY
In the past this utility was called xpmroot. This name is still supported as a symlink.

BUGS
Repeated use of fvwm-root with different xpm pixmaps will use up slots in your color table pretty darn fast.

AUTHOR
Rob Nation Enhanced by fvwm-workers.